Test Users

List test users

Returns all test users for the app.

GET /api/public/v1/test-users

List test users

curl --request GET \
  --url 'https://api.buildprint.ai/api/public/v1/test-users' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "testUsers": [
    {
      "id": "<string>",
      "createdAt": 1,
      "name": "<string>",
      "description": "<string>",
      "email": "<string>",
      "database": "test",
      "isDisabled": true
    }
  ]
}

Test users found

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Query Parameters

  • appId string required

    App ID.

Response

application/json
  • testUsers[] object array

    Test users for the app.

    + Show Child Attributes
    • id string

      Opaque identifier for this resource.

    • createdAt number

      Unix timestamp in milliseconds when the resource was created.

    • name string

      Human-readable name for the resource.

    • description string | null

      Human-readable description for the resource.

    • email string | null

      Email address associated with the resource.

    • database string enum enum

      Which Bubble database the credential should use. Allowed values: test, live.

    • isDisabled boolean

      Whether the test user is disabled.